{% extends "base.html" %} {% block head_content %}
<title>Inicio | Kumpel</title>
{% endblock %} {% block container %}

<div class="row">
  <div class="col-sm-6">
    <div class="card-body text-center">
      <img src="https://assets.gitlab-static.net/uploads/-/system/group/avatar/8416435/logo.png?width=88" width="60"
        height="60" class="d-inline-block align-top" alt="">
      <h3 class="display-5 text-center">Kumpel</h5>
        <a class="display-5 badge badge-md bg-kumpel text-white text-left" target="__blank"
          href="https://gitlab.com/teamspartans/rommie/graphql-api">Check realtime
          Backend status here</a>
        <p>
          {% if productionenv %}
          <b>PRODUCTION ENVIROMENT </b>
          {% endif %} Last update: <b>{{ date }}</b>
        </p>
        <p class="card-text text-center">
          Kumpel is a web application to search and rent rooms.
        </p>
    </div>
  </div>
  <div class="col-6 my-auto">
    {% if user.is_authenticated %}
    <p class="text-center">Work with test data, generate or clean on one click</p>
    <div class="row">
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/clear_data">
          Clean data</a>
      </div>
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/catalogs">
          Catalogs</a>
      </div>
      <br /><br />
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/generate/users">
          Users</a>
      </div>
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/generate/rooms">
          Rooms</a>
      </div>
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/reduce/rooms">
          Reduce Rooms Images</a>
      </div>
      <div class="col-3">
        <a class="btn bg-kumpel btn-sm btn-block text-white" href="/test/reduce/avatars">
          Reduce Profiles Avatar</a>
      </div>
      <br>
      <br>
      <br>
      <div class="col-12">
        <a class="btn kumpel-red btn-sm btn-block text-white" href="/dashboard">
          Platform Dashboard</a>
      </div>
    </div>
    {% else %}
    <div class="col-12">
      <a class="btn bg-kumpel btn-lg btn-block text-white" href="/admin">
        Ingresar</a>
    </div>
    {% endif %}
  </div>
  {% if productionenv %}
  <div class="col-12">
    <hr />
    <div class="text-center">
      <h3 class="display-5">Access to staging enviroment</h3>
      <p class="card-text text-center">
        See docs, development and production querys
      </p>
      <a class="btn bg-kumpel btn-lg text-white btn-block" href="https://{{ staging }}" target="__blank"
        role="button">GO TO STAGING</a>
    </div>
  </div>
  {% else %}
  <div class="row">
    {% if user.is_authenticated %}
    <div class="col-6 text-center">
      <h3 class="display-5">Access to production enviroment</h3>
      <p class="card-text text-center">
        Go to production backend enviroment
      </p>
      <a class="btn bg-kumpel btn-lg text-white btn-block" href="https://{{ production}}" target="__blank"
        role="button">GO TO PRODUCTION</a>
    </div>
    {% else %}
    <div class="col-12 text-center">
      <h3 class="display-5">Access to production enviroment</h3>
      <p class="card-text text-center">
        Go to production backend enviroment
      </p>
      <a class="btn bg-kumpel btn-lg text-white btn-block" href="https://{{ production}}" target="__blank"
        role="button">GO TO PRODUCTION</a>
    </div>
    {% endif %}
    <div class="col-6 text-center my-auto">
      {% if user.is_authenticated %}
      <h3 class="display-5">Read and access to our API</h3>
      <p class="card-text text-center">
        See API docs on Graphiql <a href="https://altair.sirmuel.design">You can use Altair GraphQL Client</a>
      </p>
      <a class="btn kumpel-red btn-lg btn-block text-white" href="/graphql">{% if productionenv %}
        <b>PRODUCTION</b>
        {% else %}
        <b>DEVELOPMENT AND DOCS </b>
        {% endif %} GraphQL API</a>
      {% endif %}
    </div>
    <div class="text-center mb-5">
      <div class="col-12 pt-3">
        <h4 class="text-left">Our Backend Team Standards to publish code</h4>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Quality code validation</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Testing validation</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Security analysis</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Linter code analysis</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Secrets detection</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Pre-commit and push validation</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Separated enviroments</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="checkbox" checked>
          <label class="form-check-label" for="inlineCheckbox1">Coverage on GitLab</label>
        </div>
      </div>
      <hr>
      <h4 class="text-left">Changelog <small>List of updates</small></h4>
      <p class="text-left"><span class="badge kumpel-red text-white">Development Tag</span> is only on staging</p>
      <div class="row">
        <div class="col-md-6">
          <h5 class="text-left">Release 0.4.0</h5>
          <ul class="text-left">
            <li>
              Get rooms created by hosts
            </li>
            <li>
              Update test data
            </li>
            <li>
              Add more mutations and querys
            </li>
            <li>
              Basic platform stats on panel
            </li>
            <li>
              Roles and permissions
            </li>
            <li>
              Gitlab Coverage
            </li>
          </ul>
        </div>
        <div class="col-md-6">
          <h5 class="text-left">Release 0.3.0</h5>
          <ul class="text-left">
            <li>
              Add query and mutations with support for places and features
            </li>
            <li>
              Soft deletes on models
            </li>
            <li>
              Add mutation add room to favorites
            </li>
            <li>
              Query to get favorites rooms of a user
            </li>
            <li>
              Auth login,
              Register,
              List groups
            </li>
            <li>
              Edit profiles
            </li>
          </ul>
        </div>
        <div class="col-md-6">
          <h5 class="text-left">Release 0.2.0</h5>
          <ul class="text-left">
            <li>
              Search rooms and list rooms
            </li>
            <li>
              Mutation room with support to upload files
            </li>
            <li>
              First Mutation to create rooms
            </li>
            <li>
              Implement CORS
            </li>
            <li>
              Create all models from application
            </li>
            <li>
              Upload images on Cloud Storage
            </li>
            <li>
              Load test data
            </li>
          </ul>
        </div>
        <div class="col-md-6">
          <h5 class="text-left">Release 0.1.0</h5>
          <ul class="text-left">
            <li>Enable Admin panel and team access to manage Data</li>
            <li>
              First Query to show profile users
            </li>
            <li>
              GraphQL API
            </li>
            <li>
              Create staging and production enviroments
            </li>
            <li>
              Implement code Standards
            </li>
            <li>
              GitLab configuration CI/CD
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  {% endif %}
</div>

{% endblock %}
